# $Revision: 1.7 $, $Date: 2005/04/13 19:44:04 $
# Conditional build
%bcond_without	gnome		# for non-gnomers
#
Summary:	Realtime audio synthesizer
Summary(pl):	Syntezator dwiku czasu rzeczywistego
Name:		terminatorX
Version:	3.82
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://terminatorx.cx/dist/%{name}-%{version}.tar.gz
# Source0-md5:	6faa4598f55d8727175576ce09bd1fac
Patch0:		%{name}-fixes.patch
Patch1:		%{name}-desktop.patch
URL:		http://terminatorx.cx/
BuildRequires:	alsa-lib-devel
BuildRequires:	audiofile-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel
BuildRequires:	jack-audio-connection-kit-devel >= 0.66
BuildRequires:	ladspa-devel
BuildRequires:	libglade2-devel
BuildRequires:	liblrdf-devel
BuildRequires:	libmad-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libxml2-devel
BuildRequires:	rpmbuild(macros) >= 1.197
%{?with_gnome:Requires(post,postun):	desktop-file-utils}
Requires(post,postun):	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
terminatorX is a realtime audio synthesizer that allows you to
"scratch" on digitally sampled audio data (*.wav, *.au, *.ogg, *.mp3,
etc.) the way hiphop-DJs scratch on vinyl records. It features
multiple turntables, realtime effects (buit-in as well as LADSPA
plugin effects), a sequencer and MIDI interface - all accessible
through an easy-to-use GTK+ GUI.

%description -l pl
termintorX to syntezator dwiku pracujcy w czasie rzeczywistym,
pozwalajcy skreczowa na cyfrowo sprbkowanych danych dwikowych
(*.wav, *.au, *.ogg, *.mp3, etc.) tak jak to robi DJ-e hiphopowi na
pytach winylowych. Jego moliwoci to wiele talerzy, efekty w czasie
rzeczywistym (wbudowane, jak rwnie wtyczki efekty LADSPA), sequencer
oraz interfejs MIDI - wszystko dostpne poprzez atwe w uyciu GUI
napisane w GTK+.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv gnome-support/terminatorX-mime.png \
	gnome-support/gnome-mime-application-x-terminatorX.png
	
%build
%{__aclocal}
%{__autoconf}
%{__automake}

# Due to possible security risk build by default without capabilities
%configure \
	--with-docdir=%{_datadir} \
	--disable-capabilities

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	desktopdir=%{_desktopdir} \
	pixmapdir=%{_pixmapsdir} \
	icondir=%{_iconsdir}/gnome/48x48/mimetypes

rm -rf $RPM_BUILD_ROOT%{_datadir}/mime-info/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%scrollkeeper_update_post
%{?with_gnome:%update_desktop_database_post}
%banner %{name} -e << EOF
Suggested packages for use with terminatorX:
- mpg123
- sox
- vorbis-tools
EOF

%postun
/sbin/ldconfig
%scrollkeeper_update_postun
%{?with_gnome:%update_desktop_database_postun}

%files
%defattr(644,root,root,755)
%doc ChangeLog README AUTHORS NEWS THANKS TODO README.PERFORMANCE
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*
%{?with_gnome:%{_iconsdir}/gnome/48x48/mimetypes/*.png}
%{_mandir}/man1/*
%{_omf_dest_dir}/%{name}
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: terminatorX.spec,v $
Revision 1.7  2005/04/13 19:44:04  freetz
- updated to 3.82, gnome bcond, more macros, more fixes, updated patches
  rel.1

Revision 1.6  2004/10/25 08:49:34  paladine
- [Gg]tk+ -> GTK+

Revision 1.5  2003/12/13 12:18:32  qboosh
- s/mad-devel/libmad-devel/

Revision 1.4  2003/08/24 17:13:23  freetz
- up to 3.81
- BR jack devel
- more TODO
- by default disabled build that cause potential security risk

Revision 1.3  2003/07/06 09:41:57  qboosh
- pl fixes, removed duplicate from files

Revision 1.2  2003/07/03 18:33:24  misi3k
- pl desc

Revision 1.1  2003/07/03 17:48:43  freetz
- initial PLD release
